Bug 996536 - CLI: adding composite content views to content definitions
CLI: adding composite content views to content definitions
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: David Davis
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 07:44 EDT by Ales Dujicek
Modified: 2014-03-11 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 12:43:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-08-13 07:44:33 EDT
Description of problem:

using CLI it is possible to add composite content views to composite content definitions, while UI does not allow that


Version-Release number of selected component (if applicable):
katello-1.4.3-1.git.170.bce18cc.el6.noarch
katello-glue-candlepin-1.4.3-1.git.170.bce18cc.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-cli-1.4.3-1.git.7.a387813.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-1.4.3-1.git.7.a387813.el6.noarch
katello-configure-1.4.4-1.git.2.ce427c5.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-glue-elasticsearch-1.4.3-1.git.170.bce18cc.el6.noarch
katello-common-1.4.3-1.git.170.bce18cc.el6.noarch
katello-glue-pulp-1.4.3-1.git.170.bce18cc.el6.noarch
katello-selinux-1.4.4-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-all-1.4.3-1.git.170.bce18cc.el6.noarch


How reproducible:
always

Steps to Reproduce:
1. content definition create --org org --name composite --composite
2. content definition publish --org org --name composite --view_name view
3. content definition add_view --org org --name composite --content_view view
4. content definition info --org org --name composite
Comment 1 RHEL Product and Program Management 2013-09-17 00:19:30 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 Mike McCune 2013-10-10 14:36:44 EDT
if this actually works that is kinda a good thing but we should make the API/CLI/UI all behave the same.
Comment 5 Bryan Kearney 2014-03-11 12:43:07 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.